Inactive [ADMN/CHAT/INFO/SEC/TP] ALERTER v1.5 - Protect Areas & Object + Alert + Multilanguage [1.1-R1]

Discussion in 'Inactive/Unsupported Plugins' started by Patrick_pk91, Jul 6, 2011.

  1. Offline

    Patrick_pk91

    ALERTER
    [​IMG]
    [​IMG]
    Current Version: v1.5 (JAR/ZIP)
    if you have problem with warning before post try to download again XD
    [​IMG]
    Donate to support this plugin XD​

    [​IMG]
    [​IMG]

    other pictures (open)

    [​IMG]

    [​IMG]

    [​IMG]

    [​IMG]

    [​IMG]


    Alerter is a multi protection plugin ,that you can configure to give a warning into server console and ops, when anyone place and/or destroy a block or when anyone use a command in chat, you can protect areas, object and more other features!!

    Features:
    • Give a warning in the console (you must edit the settings file) :
      • Place certain Blocks
      • Destroy certain Blocks
      • Any command a player types in chat ("/...")
    • Teleport to player
    • Protect Areas
    • Protect Chest, furnaces, doors (wood, iron, trapdoors, fence door), dispenser, lever
    • Block place of forbidden objects
    Download the lastest Plugin v1.40 (JAR/ZIP)


    Previous version v 1.32 (JAR/ZIP)

    Commands & features & Permissions & configure "Alerter.dat"
    see information here: http://www.consolepk.altervista.org/page.php?19

    Installation (open)

    Just copy the .JAR file into your plugins directory.
    At start the plugin create automatically "Alerter.dat" with default settings
    If you want to custumize the settings you most modify "Alerter.dat"

    see information here: http://www.consolepk.altervista.org/page.php?19



    Commands: http://www.consolepk.altervista.org/page.php?19#commands
    Protect Object: http://www.consolepk.altervista.org/page.php?19#object
    Sign: http://www.consolepk.altervista.org/page.php?19#sign
    Permissions node: http://www.consolepk.altervista.org/page.php?19#permissions
    settings Alerter.dat: http://www.consolepk.altervista.org/page.php?19#dat
    Change language: http://www.consolepk.altervista.org/page.php?19#language
    plugin support: http://www.consolepk.altervista.org/page.php?19#plugin


    DO YOU WANT TO TRANSLATE MY PLUGIN IN YOUR LANGUAGE???
    Contact me on forum or on skype (Patrick_pk91)

    WARNING: if you want to use protect lever open Alerter.dat and change Plessure_plate_for_areas_activate=true (set true)

    TO DO:
    Future version:
    For more info future version: http://www.consolepk.altervista.org/page.php?26
    • Spout support
    • Jail
    • inventory control
    • Rollback
    • user can decide to use sqlite (default) or mysql (optional)
    • alerting of when someone joins the server for the first time
    • Areas can set only by one person (super_Admin)
    • mob spawns separated from animal spawns
    Changelog (open)

    Version 1.5
    Relased: 3 November 2011
    • Update bukkit 1.0.1-R1
    Version 1.41
    Relased: 3 November 2011
    • fix bug entity damage
    • Update bukkit #1337
    Version 1.40
    Relased: 26 October 2011
    • Area poligonal support
    • can change/set area height ("/al height (Area) (number)")
    • Open inventory of other players ("/al inv (Player)")
    • Trasform blocks into an area to air ("/al air (Area)")
    • fix bug notification
    • Add new language support (Portuguese, Spanish, Czech)
    Version 1.35
    Relased: 3 October 2011
    • fix bug char '
    • BOSEconomy version 7 , iConomy (version 4,5,6 ), Essential, MultiCurrency support
    • add economy features
    • Multilanguage support (English, Italian, French, German)
    Version 1.34



    Relased: 23 September 2011
    • Sub-Area support
    • Limit size of news areas
    • prevent entry of unauthorized players in a private area
    • permissions plugins support (permissions, permissionsEX, bpermission) and default permission (superperms)
    • Rename existing area
    • teleport to an area
    • set warp of an area
    • protect fence door
    • Bug Fix can not destroy block near unprotected sign
    • Bug Fix PVP
    • Update Recommended Build: 1185 (MC: 1.8.1)
    Version 1.33



    Relased: 16 September 2011
      • minecarft support 1.8.1
      • remove permissions 3.0 support (in next version i will support most recent permissions plugin)
    Version 1.32



    Relased: 07 September 2011
      • bug fix multiworld
      • Add new sign [OWNER] to add exception area
    Version 1.31



    Relased: 05 September 2011
    • bug fix "Alerter.dat"
    • add gruop permissions area/object
    • implement [AREA]
    • area multi-world support
    • auto update
    Version 1.3



    Relased: 03 September 2011
    • protect chest, door , furnace, lever, trapdoor with sign
    • get information of area from block selected
    • log alerter into a txt
    • Use the online "Alerter.dat creation" procedure:http://www.consolepk.altervista.org/php/Alerter/index.php
    • health regen
    • block place protection
    • now yoo can automatically update Alerter plugin from chat command
    • bug fix lava-bucket and water-bucket
    • update SQLibrary Version 3.0.4 (alpha)
    • update Permissions Latest Stable (3.1.6)
    • update Bukkit Build: 1060 (MC: 1.7.3)
    Version 1.24



    Relased: 19 July 2011
    • Bug fix: missing entry "Search_upgrade=true" in file Alerter.dat
    Version 1.23



    Relased: 18 July 2011
    • Update Bukkit Build: 1000 (MC: 1.7.3)
    • Add search update
    Version 1.22



    Relased: 17 July 2011
    • Bug Fix:"permissions" (IT IS OPTIONAL NOW)
    Version 1.21



    Released: 16 July 2011
    • Add the possibility to change the selection tools (see Settings ''Alerter.dat'' file)
    Version 1.2



    Released: 15 July 2011
    • create and protect Areas like regios



    Bugs (open)

    ou find a bug or a problem?? post here :
    • Description of bug
    • Screen of bug (if possible)
    You can add me on skype: consolepk@gmail.com or patrick_pk91


    Thanks XD


    STAFF (open)

    • Translate:
      • Ghost or Tron ® (french version)
      • Spyboot & xmxfabian (german version)
      • Patrick_pk91 (italian version)
      • Minotaurus (Dutch version)
      • ygorpatrickbr, alissoncraft (Portuguese version)
      • XMaster1 (Spanish version)
      • Phoenyx (Czech version)
    do you want create a new plugin with me?? contact me (skype: Patrick_pk91)




    For more info: http://www.consolepk.altervista.org/page.php?19

    do you want create a new plugin with me?? contact me (skype: Patrick_pk91)
     
  2. Offline

    AiM_17

    I still love this plugin though, so I don't have to run 2 plugins together. I hope he's actually working on it because it shouldn't take this long.
     
  3. Offline

    iperpido

    I tried this on an older version, didn't work.
     
  4. Offline

    Laguna

    Anyone know when the new version will appear Alerter? It is the only plugin that I have to open my server: D
     
  5. Offline

    Zelron

    He has said he is working on it. Other than that we have no information. The only thing we can do is wait, and hope.
    Try using this http://dev.bukkit.org/server-mods/preciousstones/ It is kind of a pain to use, but it is excedingly simple and will hold you over until alerter is released, so you can actually open your server.
     
  6. Offline

    Laguna

    Thank you very much mate. Anyway, will wait a few more days to see if it appears the new version ^ ^. Alerter is one of my favorite plugins and handle it very well.
     
  7. This is brilliant! Keep up the good work :)
    [diamond][diamond][diamond][diamond]
    Are you planing to add some more cool features?

    -OskiU1234
     
  8. Offline

    StolleJay

    I hope he finish his work soon for 1.0.1.R1 :)
     
  9. Offline

    goodoletom

    Hey man, I can't wait for the new Sell land feature!
     
  10. Offline

    shutara

    hi developer! I have a problem.When we updated our server to 1.0.1 it stil work bu later not
    it show folowing log.
    Code:
    2011-12-22 19:50:16 [INFO] [Alerter] ALERTER v1.41 is enabled! created by: Patrick_pk91
    2011-12-22 19:50:16 [INFO] [Alerter] Permissions v3.1.6 found
    2011-12-22 19:50:16 [INFO] [Alerter] Updating database to version 1.41 ...(maybe during few second)
    2011-12-22 19:50:17 [WARNING] [Alerter] [SQLite] Error at SQL Query: [SQLITE_ERROR] SQL error or missing database (no such table: Alerter_Area)
    2011-12-22 19:50:17 [WARNING] [Alerter] [SQLite] Error at SQL Query: [SQLITE_ERROR] SQL error or missing database (no such table: Alerter_Area)
    2011-12-22 19:50:17 [WARNING] [Alerter] [SQLite] Error at SQL Query: [SQLITE_ERROR] SQL error or missing database (no such table: Alerter_Area)
    2011-12-22 19:50:17 [WARNING] [Alerter] [SQLite] Error at SQL Query: [SQLITE_ERROR] SQL error or missing database (no such table: Alerter_Area)
    2011-12-22 19:50:17 [WARNING] [Alerter] [SQLite] Error at SQL Query: [SQLITE_ERROR] SQL error or missing database (no such table: Alerter_Area)
    2011-12-22 19:50:17 [WARNING] [Alerter] [SQLite] Error at SQL Query: [SQLITE_ERROR] SQL error or missing database (no such table: Alerter_Area)
    2011-12-22 19:50:17 [WARNING] [Alerter] [SQLite] Error at SQL Query: [SQLITE_ERROR] SQL error or missing database (27 values for 26 columns)
    2011-12-22 19:50:17 [WARNING] [Alerter] [SQLite] Error at SQL Query: [SQLITE_ERROR] SQL error or missing database (no such column: N)
    2011-12-22 19:50:17 [INFO] [Alerter] [SQLite] creating column 'N'
    2011-12-22 19:50:17 [SEVERE] Error occurred while enabling Alerter v1.41 (Is it up to date?): net/minecraft/server/InventoryPlayer
    java.lang.NoClassDefFoundError: net/minecraft/server/InventoryPlayer
        at me.Patrick_pk91.alerter.Alerter.onEnable(Alerter.java:208)
        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:188)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:968)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:280)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:186)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:169)
        at net.minecraft.server.MinecraftServer.t(MinecraftServer.java:348)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:335)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:165)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:399)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:457)
    Caused by: java.lang.ClassNotFoundException: net.minecraft.server.InventoryPlayer
        at java.net.URLClassLoader$1.run(Unknown Source)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(Unknown Source)
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:36)
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:24)
        at java.lang.ClassLoader.loadClass(Unknown Source)
        at java.lang.ClassLoader.loadClass(Unknown Source)
        ... 11 more
    
    Also it answers when typing /al but nothing happent after /al set and selecting points it just don't do anything.
    Help!Grifers started to crash houses!!!
     
  11. Offline

    Siickest

    This is not working.. When i enter /al set is says that it's ready but when i take golden axe and press left or right button it doesen't say anything.. Why?
     
  12. Offline

    ShootToMaim

    Patrick_pk91 has officially gone silent.
    His Skype account has been de-activated, and he hasn't been on since December 12...

    Because Alerter is outdated right now. Wait for an update...

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 17, 2016
  13. Offline

    Siickest

    Ok. thanks

    Do u know when the update is going to be done?

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 17, 2016
  14. Offline

    sdelange99

    Great plugin, works with bukkit for mc 1.0.0
    I installed bukkit for mc 1.0.1 (recommended) and alerter won't work. Alerter is a 3-in-1 plugin, and now i have 3 different plugins installed. I hope you are going to update for MC 1.0.1.
    Anyways, great plugins,

    thanks
     
  15. Offline

    shutara

    when update will be done?!
     
  16. Offline

    daufinsyd

    I have the same problem. Alerter is a great plugin but it doesn't work with bukkit 1.0.1 !
    when will it be updated ?
     
  17. Offline

    MiracleBoy

    can you help me with this please reply! :(
    20:56:31 [INFO] This server is running Craftbukkit version git-Bukkit-1.0.1-R1-1
    3-ga0124aa-b1612jnks (MC: 1.0.1) (Implementing API version 1.0.1-R2-SNAPSHOT)
    20:56:31 [INFO] [PermissionsEx] sql backend registered!
    20:56:31 [INFO] [PermissionsEx] file backend registered!
    20:56:31 [INFO] [PermissionsEx] PermissionEx plugin initialized.
    20:56:31 [INFO] [PermissionsEx] p2compat backend registered!
    20:56:31 [INFO] [PermissionsCompat] Compatibility Layer Initalized!
    20:56:31 [INFO] [PermissionsEx] Initializing file backend
    20:56:31 [INFO] Preparing level "world"
    20:56:31 [INFO] Default game type: 0
    20:56:32 [INFO] Preparing start region for level 0 (Seed: 815)
    20:56:32 [INFO] Preparing start region for level 1 (Seed: -8027249204934814053)
    20:56:32 [INFO] Preparing start region for level 2 (Seed: -8027249204934814053)
    20:56:33 [INFO] Preparing spawn area: 36%
    20:56:33 [INFO] [Alerter] ALERTER v1.41 is enabled! created by: Patrick_pk91
    20:56:33 [INFO] [Alerter] Permissions v2.7.7 found
    20:56:33 [INFO] [Alerter] PermissionsEx v1.18 found
    20:56:33 [SEVERE] Error occurred while enabling Alerter v1.41 (Is it up to date?
    ): net/minecraft/server/InventoryPlayer
    java.lang.NoClassDefFoundError: net/minecraft/server/InventoryPlayer
    at me.Patrick_pk91.alerter.Alerter.onEnable(Alerter.java:208)
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:233)
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader
    .java:968)
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManage
    r.java:280)
    at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:186)
    at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:169
    )
    at net.minecraft.server.MinecraftServer.t(MinecraftServer.java:348)
    at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:335)
    at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:165)
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:399)
    at net.minecraft.server.ThreadServerApplication.run(SourceFile:457)
    Caused by: java.lang.ClassNotFoundException: net.minecraft.server.InventoryPlaye
    r
    at java.net.URLClassLoader$1.run(Unknown Source)
    at java.net.URLClassLoader$1.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(Unknown Source)
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.
    java:36)
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.
    java:24)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    ... 11 more
    20:56:33 [INFO] AntiCreeper v2.0 - by Rothens
    20:56:33 [INFO] Anticreeper v2.0 - STARTED
    20:56:33 [INFO] [AutoMessage] version [1.5] loaded
    20:56:33 [INFO] CreatureSpawn v1.6 is Enabled
    20:56:33 [INFO] File not found: plugins\Essentials\jail.yml
    20:56:33 [INFO] Loaded Essentials build 2.7.2 by: Zenexer, ementalo, Aelux, Bret
    tflan, KimKandor, snowleo, ceulemans, Xeology, KHobbits
    20:56:33 [INFO] Essentials: Using config based permissions. Enable superperms in
    config.
    20:56:33 [INFO] Loaded EssentialsSpawn build 2.7.2 by: essentials team
    20:56:33 [INFO] [iConomy - Celty] Enabled (11 ms)
    20:56:33 [INFO] [Essentials] Payment method found (iConomy version: 6)
    20:56:33 [INFO] nChat version 0.6 is enabled!
    20:56:33 [INFO] [PermissionsEx] Superperms support enabled.
    20:56:33 [INFO] [PermissionsEx] v1.18 enabled
    20:56:33 [INFO] Essentials: Using PermissionsEx based permissions.
    20:56:33 [INFO] [SRPEX] Found PermissionsEx v1.18 and is good to go
    20:56:33 [INFO] [SRPEX] SetRankPEX v1.3.2 is now enabled.
    20:56:33 [INFO] [TameGrass] TameGrass v1.0 enabled!
    20:56:33 [INFO] WorldEdit 5.0 enabled.
    20:56:33 [INFO] WEPIF: PermissionsEx detected! Using PermissionsEx for permissio
    ns.
    20:56:33 [INFO] WEPIF: PermissionsEx detected! Using PermissionsEx for permissio
    ns.
    20:56:33 [INFO] WEPIF: PermissionsEx detected! Using PermissionsEx for permissio
    ns.
    20:56:33 [INFO] WorldGuard: (world) Single session is enforced.
    20:56:33 [INFO] WorldGuard: (world) TNT ignition is PERMITTED.
    20:56:33 [INFO] WorldGuard: (world) Lighters are PERMITTED.
    20:56:33 [INFO] WorldGuard: (world) Lava fire is blocked.
    20:56:33 [INFO] WorldGuard: (world) All fire spread is disabled.
    20:56:33 [INFO] WorldGuard: Loaded configuration for world 'world"
    20:56:33 [INFO] WorldGuard: (world_nether) Single session is enforced.
    20:56:33 [INFO] WorldGuard: (world_nether) TNT ignition is PERMITTED.
    20:56:33 [INFO] WorldGuard: (world_nether) Lighters are PERMITTED.
    20:56:33 [INFO] WorldGuard: (world_nether) Lava fire is blocked.
    20:56:33 [INFO] WorldGuard: (world_nether) All fire spread is disabled.
    20:56:33 [INFO] WorldGuard: Loaded configuration for world 'world_nether"
    20:56:33 [INFO] WorldGuard: (world_the_end) Single session is enforced.
    20:56:33 [INFO] WorldGuard: (world_the_end) TNT ignition is PERMITTED.
    20:56:33 [INFO] WorldGuard: (world_the_end) Lighters are PERMITTED.
    20:56:33 [INFO] WorldGuard: (world_the_end) Lava fire is blocked.
    20:56:33 [INFO] WorldGuard: (world_the_end) All fire spread is disabled.
    20:56:33 [INFO] WorldGuard: Loaded configuration for world 'world_the_end"
    20:56:33 [INFO] WorldGuard: 0 regions loaded for 'world'
    20:56:33 [INFO] WorldGuard: 0 regions loaded for 'world_nether'
    20:56:33 [INFO] WorldGuard: 0 regions loaded for 'world_the_end'
    20:56:33 [INFO] WorldGuard 5.4 enabled.
    20:56:33 [INFO] [PermissionsCompat] Compatibility layer enabled.
    20:56:33 [INFO] WEPIF: PermissionsEx detected! Using PermissionsEx for permissio
    ns.
    20:56:33 [INFO] Server permissions file permissions.yml is empty, ignoring it
    20:56:33 [INFO] Done (0.197s)! For help, type "help" or "?"
     
  18. Offline

    PyPKjE

    I really wonder when to get the update? [glass]
    Work as 1.0.0 or 1.0.1 versions :confused:
     
  19. Offline

    Siickest

    This only work for 1.0.0 at the moment..
     
  20. Offline

    StolleJay

    Oh man... Why cant he Update his Plugin... Its sad :(
     
  21. Offline

    goodoletom

    hey everyone, I have talked to him today and we are discussing the plugin.
     
  22. Offline

    shutara

    so ? What are the results of discussion?
     
  23. Offline

    goodoletom

    Well he kinda stopped responding. I think he is completely dropping it. I would like to hear back from him again and he could actually tell me what he is doing...
     
  24. Offline

    StolleJay

    when he is completely dropping it then should he delete his account here and give the plugin a active programmer... thats no longer fun -.-

    btw... Happy New Year :)
     
  25. Offline

    neclovek

    i upgraded server to 1.0.1 and have old plugins (alerter 1.35) and it work then i updated plugins (alerter to 1.41) and alerter stopped working = downgrade alerter to 1.35 and it will work :D
     
    StolleJay likes this.
  26. Offline

    goodoletom

    Well I might take it over but I do not understand his scripts format. I tried and looked at it myself. Also he does speak french and I do not so it is also a challenge. I moved to temporarilly world Guard.
     
  27. Offline

    zurvox

    when i type private it doesnt do anything and dont let me set the points down. also i havnt got a log
     
  28. Offline

    StolleJay


    Yes! BIG Thank you :)

    Alerter 1.35 works with bukkit 1.0.1.R1
     
  29. Offline

    pipeyogui

    where I can get?
     
  30. Offline

    StolleJay

    Here :)
     
  31. Offline

    neclovek

    no problem :D
     

Share This Page